import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

public class Driver {
	public static void main(String[] args) throws IOException, IllegalArgumentException, IllegalAccessException {
		File f = new File(args[0]);
		FileReader fr = new FileReader(f);
		//Scanner scan = new ScannerJF(fr);
		//Parser parser = new Parser(scan);
		//Tree arvore = parser.parse();
		ParserJACC parser = new ParserJACC(fr);
		parser.parse();
		parser.saida.printDot(f.getPath() + ".gv");
		parser.saida.checaEscopo();
		parser.saida.checaTipo();
		FileWriter fw = new FileWriter(args[0].replaceFirst("[.]tiny$", ".asm"));
		fw.write(parser.saida.codigo());
		fw.close();
	}
}
