
public class Id extends Node implements Exp {
	public String id;
	
	public Id(String _id, int _lin) {
		super(_lin);
		id = _id;
	}

	@Override
	public void checaEscopo(TabSimb<Boolean> escopo, TabSimb<Boolean> escopoProcs) {
		escopo.procurar(id, lin);
	}

	@Override
	public Tipo tipo(TabSimb<Tipo> vars, TabSimb<Proc> procs) {
		return vars.procurar(id, lin);
	}

	@Override
	public void codigo(Contexto ctx, TabSimb<Endereco> vars) {
		Endereco var = vars.procurar(id, lin);
		var.load(ctx);
	}

	@Override
	public void codigoSaltoF(Contexto ctx, TabSimb<Endereco> vars, int label) {
		this.codigo(ctx, vars);
		ctx.icload(1);
		ctx.if_icmpneq(label);
	}
}
